org.encog.plugin

## Interface EncogPluginService1

- All Superinterfaces:
    EncogPluginBase
  All Known Implementing Classes:
    SystemActivationPlugin, SystemMethodsPlugin, SystemTrainingPlugin

      public interface EncogPluginService1
      extends EncogPluginBase

  A service plugin provides services, such as the creation of activation functions, machine learning methods and training methods.

- - ### Field Summary

    - ### Fields inherited from interface org.encog.plugin.EncogPluginBase

      `TYPE_LOGGING, TYPE_SERVICE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActivationFunction` | `createActivationFunction(String name)` Create an activation function.
    `MLMethod` | `createMethod(String methodType, String architecture, int input, int output)` Create a new machine learning method.
    `MLTrain` | `createTraining(MLMethod method, MLDataSet training, String type, String args)` Create a trainer.

    - ### Methods inherited from interface org.encog.plugin.EncogPluginBase

      `getPluginDescription, getPluginName, getPluginServiceType, getPluginType`

- - ### Method Detail

    - #### createActivationFunction

          ActivationFunction createActivationFunction(String name)

      Create an activation function.
      Parameters:
        `name` - The name of the activation function.
      Returns:
        The newly created activation function.

    - #### createMethod

          MLMethod createMethod(String methodType,
                              String architecture,
                              int input,
                              int output)

      Create a new machine learning method.
      Parameters:
        `methodType` - The method to create.
        `architecture` - The architecture string.
        `input` - The input count.
        `output` - The output count.
      Returns:
        The newly created machine learning method.

    - #### createTraining

          MLTrain createTraining(MLMethod method,
                               MLDataSet training,
                               String type,
                               String args)

      Create a trainer.
      Parameters:
        `method` - The method to train.
        `training` - The training data.
        `type` - Type type of trainer.
        `args` - The training args.
      Returns:
        The new training method.

Copyright © 2014. All Rights Reserved.